HierarchyBoundsAdapter (Java Platform SE 8 )
Keywords: java.awt.event.HierarchyBoundsAdapter class
Date: 2026-08-19

java.awt.event

## Class HierarchyBoundsAdapter

- java.lang.Object
- - java.awt.event.HierarchyBoundsAdapter

- All Implemented Interfaces:
    HierarchyBoundsListener, EventListener

      public abstract class HierarchyBoundsAdapter
      extends Object
      implements HierarchyBoundsListener

  An abstract adapter class for receiving ancestor moved and resized events. The methods in this class are empty. This class exists as a convenience for creating listener objects.

  Extend this class and override the method for the event of interest. (If you implement the `HierarchyBoundsListener` interface, you have to define both methods in it. This abstract class defines null methods for them both, so you only have to define the method for the event you care about.)

  Create a listener object using your class and then register it with a Component using the Component's `addHierarchyBoundsListener` method. When the hierarchy to which the Component belongs changes by resize or movement of an ancestor, the relevant method in the listener object is invoked, and the `HierarchyEvent` is passed to it.

  Since:
    1.3
  See Also:
    `HierarchyBoundsListener`, `HierarchyEvent`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchyBoundsAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ancestorMoved(HierarchyEvent e)` Called when an ancestor of the source is moved.
    `void` | `ancestorResized(HierarchyEvent e)` Called when an ancestor of the source is resized.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HierarchyBoundsAdapter

          public HierarchyBoundsAdapter()

  - ### Method Detail

    - #### ancestorMoved

          public void ancestorMoved(HierarchyEvent e)

      Called when an ancestor of the source is moved.
      Specified by:
        `ancestorMoved` in interface `HierarchyBoundsListener`

    - #### ancestorResized

          public void ancestorResized(HierarchyEvent e)

      Called when an ancestor of the source is resized.
      Specified by:
        `ancestorResized` in interface `HierarchyBoundsListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.